using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using MadRunFabric.Common;
using Microsoft.AspNetCore.Authorization;

namespace SignTokenApi.Areas.ThirdHospitals.Controllers
{
    /// <summary>
    /// 测试 - 省三院
    /// </summary>
    [Area("ssy")]
    [AllowAnonymous]
    [ApiVersion("6.0")]
    [Route("api/ssy")]
    [Produces("application/json")]
    public class InfoController : BaseController
    {
        [HttpGet]
        public IEnumerable<string> Get()
        {
            return new string[] { $"版本信息 {RequestedApiVersion} - For ssy", "开发团队: Mad Fun Fabric" };
        }

        protected ApiVersion RequestedApiVersion => HttpContext.GetRequestedApiVersion();
    }
}